Bug 1172198 - Review Request: golang-github-davecgh-go-spew - Implements a deep pretty printer for Go data structures to aid in debugging
Summary: Review Request: golang-github-davecgh-go-spew - Implements a deep pretty prin...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-09 15:15 UTC by Jan Chaloupka
Modified: 2015-05-08 16:41 UTC (History)
2 users (show)

Fixed In Version: golang-github-davecgh-go-spew-0-0.3.git3e6e67c.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-20 08:35:57 UTC
Type: ---
lsm5: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Chaloupka 2014-12-09 15:15:31 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-davecgh-go-spew/golang-github-davecgh-go-spew.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-davecgh-go-spew/golang-github-davecgh-go-spew-0-0.1.git83f84dc.fc20.src.rpm

Description: Implements a deep pretty printer for Go data structures to aid in debugging

Fedora Account System Username: jchaloup

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=8329366

$ rpmlint golang-github-davecgh-go-spew-0-0.1.git83f84dc.fc20.src.rpm golang-github-davecgh-go-spew-devel-0-0.1.git83f84dc.fc20.noarch.rpm golang-github-davecgh-go-spew.spec
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 1 Lokesh Mandvekar 2014-12-10 13:58:41 UTC
- License is correct
- spec file conforms to current golang packaging draft
- only sources installed

? not certain if we want to include import_path/spew/testdata but not an approval blocker.


Package approved

Comment 2 Jan Chaloupka 2014-12-10 14:11:31 UTC
Thanks, I will just disable the test. So the user can optionally run the test on its own.

Comment 3 Jan Chaloupka 2014-12-10 14:13:35 UTC
New Package SCM Request
=======================
Package Name:  golang-github-davecgh-go-spew
Short Description: Implements a deep pretty printer for Go data structures to aid in debugging
Upstream URL: https://github.com/davecgh/go-spew
Owners: jchaloup lsm5 vbatts
Branches: f21 f20 f19 el6
InitialCC: golang-sig

Comment 4 Gwyn Ciesla 2014-12-10 15:12:15 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2014-12-10 17:03:55 UTC
golang-github-davecgh-go-spew-0-0.1.git83f84dc.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-davecgh-go-spew-0-0.1.git83f84dc.fc20

Comment 6 Fedora Update System 2014-12-10 17:04:23 UTC
golang-github-davecgh-go-spew-0-0.1.git83f84dc.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-davecgh-go-spew-0-0.1.git83f84dc.fc21

Comment 7 Fedora Update System 2014-12-10 17:04:52 UTC
golang-github-davecgh-go-spew-0-0.1.git83f84dc.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-davecgh-go-spew-0-0.1.git83f84dc.el6

Comment 8 Fedora Update System 2014-12-11 06:30:55 UTC
golang-github-davecgh-go-spew-0-0.1.git83f84dc.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 9 Fedora Update System 2014-12-20 08:35:57 UTC
golang-github-davecgh-go-spew-0-0.1.git83f84dc.fc20 has been pushed to the Fedora 20 stable repository.

Comment 10 Fedora Update System 2014-12-20 08:46:18 UTC
golang-github-davecgh-go-spew-0-0.1.git83f84dc.fc21 has been pushed to the Fedora 21 stable repository.

Comment 11 Fedora Update System 2015-01-03 00:13:39 UTC
golang-github-davecgh-go-spew-0-0.1.git83f84dc.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 12 Fedora Update System 2015-02-06 15:51:58 UTC
golang-github-davecgh-go-spew-0-0.2.git1aaf839.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-davecgh-go-spew-0-0.2.git1aaf839.fc20

Comment 13 Fedora Update System 2015-02-06 15:52:22 UTC
golang-github-davecgh-go-spew-0-0.2.git1aaf839.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-davecgh-go-spew-0-0.2.git1aaf839.fc21

Comment 14 Fedora Update System 2015-02-06 15:53:50 UTC
golang-github-davecgh-go-spew-0-0.2.git1aaf839.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-davecgh-go-spew-0-0.2.git1aaf839.el6

Comment 15 Fedora Update System 2015-02-17 08:02:17 UTC
golang-github-davecgh-go-spew-0-0.2.git1aaf839.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-02-17 08:04:54 UTC
golang-github-davecgh-go-spew-0-0.2.git1aaf839.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-02-23 16:10:38 UTC
golang-github-davecgh-go-spew-0-0.2.git1aaf839.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-04-20 21:36:18 UTC
golang-github-davecgh-go-spew-0-0.3.git3e6e67c.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/golang-github-davecgh-go-spew-0-0.3.git3e6e67c.fc22

Comment 19 Fedora Update System 2015-04-20 21:36:45 UTC
golang-github-davecgh-go-spew-0-0.3.git3e6e67c.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-davecgh-go-spew-0-0.3.git3e6e67c.fc21

Comment 20 Fedora Update System 2015-04-20 21:37:01 UTC
golang-github-davecgh-go-spew-0-0.3.git3e6e67c.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-davecgh-go-spew-0-0.3.git3e6e67c.fc20

Comment 21 Fedora Update System 2015-04-20 21:37:22 UTC
golang-github-davecgh-go-spew-0-0.3.git3e6e67c.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-davecgh-go-spew-0-0.3.git3e6e67c.el6

Comment 22 Fedora Update System 2015-04-27 08:45:51 UTC
golang-github-davecgh-go-spew-0-0.3.git3e6e67c.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2015-05-04 15:28:15 UTC
golang-github-davecgh-go-spew-0-0.3.git3e6e67c.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2015-05-04 15:29:15 UTC
golang-github-davecgh-go-spew-0-0.3.git3e6e67c.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2015-05-08 16:41:32 UTC
golang-github-davecgh-go-spew-0-0.3.git3e6e67c.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.